.slideshow {
    /*height: 800px;*/
    object-fit: cover;
}


.container {
  max-width: 100%;
}

@media (min-width: 576px) {
  .container {
    max-width: 702px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 936px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 1248px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1482px;
  }
}
/* 导航栏菜单居中显示 */
.navbar-collapse {
  justify-content: start !important;
}

/* 确保移动端菜单按钮位置正确 */
@media (max-width: 991px) {
  .navbar-collapse {
    justify-content: flex-start !important;
  }
}
/* 移动端适配 */
@media (max-width: 768px) {
  body {
    background-size: 200% 200%;
    animation: gradientBG 20s ease infinite;
  }
  
  .bg-white, .bg-light {
    backdrop-filter: blur(4px);
  }
}

/* 桌面端样式：屏幕宽度 >= 768px 时应用 */
@media (min-width: 768px) {
  .nav-menu {
    flex-direction: flex-end; /* 关键：水平排列 */
    align-items: baseline; /* 垂直居中 */
  }
  
  .nav-item {
    margin: 0 2rem; /* 调整菜单项间距 */
  }
  
  .hamburger {
    display: none; /* 隐藏汉堡按钮 */
  }
}


/* 产品中心卡片固定高度 */
.card {
  height: 320px; /* 固定卡片高度 */
  display: flex;
  flex-direction: column;
}

.card-body {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.card-text {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3; /* 限制显示4行文本 */
  -webkit-box-orient: vertical;
}

.view .swiper-container img, .preview .swiper-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 768px) {
  body {
    background-size: 200% 200%;
    animation: gradientBG 20s ease infinite;
  }
  
  .bg-white, .bg-light {
    backdrop-filter: blur(5px);
  }
}

.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
    color: #003091;
}
a.text-secondary:focus, a.text-secondary:hover {
    color: #003091 !important;
}

